/* header */

.nav-ifb {
  display: none;
}

.header-ifb {
  position: fixed;
  display: flex;
  justify-content: center;
  align-items: center;
  z-index: 9;
  width: 100%;
}

.header-container-ifb {
  display: flex;
  justify-content: end;
  align-items: center;
  padding: 42px 42px 0;
  width: 375px;
}

.header-link-icon-ifb {
  width: 100%;
  height: 100%;
}

.menu-btn-ifb {
  display: flex;
  justify-content: center;
  align-items: center;
  width: 48px;
  height: 48px;
  transition: all 0.3s ease;
}

.menu-btn-ifb:hover {
  transform: scale(1.1);
}

.menu-svg-ifb {
  width: 100%;
  height: 100%;
}

.nav-list-ifb {
  display: flex;
  align-items: center;
  justify-content: space-between;
}

.nav-item-ifb {
  position: relative;
  transition: all 0.3s ease-in-out;
}

.nav-link-ifb {
  position: relative;
  line-height: 150%;
  transition: all 0.3s ease-in-out;
}

.nav-item-ifb::after {
  content: "";
  position: absolute;
  left: 0;
  bottom: -1px;
  width: 0;
  height: 1px;
  background: var(--text-color);

  transition: all 0.3s ease-in-out;
}

.item-active-ifb::after {
  width: 100%;
}

@media screen and (min-width: 1440px) {
  .header-container-ifb {
    padding: 22px 80px;
    width: 1440px;
  }

  .nav-ifb {
    width: 100%;
    display: block;
  }

  .menu-btn-ifb {
    display: none;
  }
}

/* modal  */

.modal-ifb {
  position: fixed;
  top: 0;
  left: 50%;
  transform: translateX(-50%);
  z-index: 8;

  width: 375px;
  height: 800px;
  background: var(--background);
  padding-top: 238px;

  display: flex;
  flex-direction: column;
  align-items: center;
}

.menu-nav-list-ifb {
  flex-direction: column;
  gap: 36px;
}

.menu-nav-link-ifb {
  text-align: center;
}

.menu-close-ifb {
  position: absolute;
  top: 48px;
  right: 42px;
  width: 48px;
  height: 48px;

  svg {
    width: 100%;
    height: 100%;
  }
}

/* hero  */

#home {
  background-image: url(/images/hero-bg.png);
  background-position: 101% 0%;
  background-size: cover;
  background-repeat: no-repeat;
}

.hero-container-ifb {
  position: relative;
  height: 800px;
}

.hero-logo-ifb {
  position: absolute;
  top: 428px;
  left: 20px;
  width: 335px;
  height: 104px;
}

@media screen and (min-width: 1440px) {
  #home {
    background-position: 50% 0%;
  }

  .hero-container-ifb {
    height: 823px;
  }

  .hero-logo-ifb {
    top: 242px;
    left: 80px;
    width: 542px;
    height: 169px;
  }
}

/* world */

.world-container-ifb {
  padding: 80px 0;
}

.world-img-ifb {
  width: 375px;
  height: 250px;
  margin-bottom: 18px;
}

.world-hidden-img-ifb {
  display: none;
}

.world-text-ifb {
  line-height: 150%;
  padding: 0 20px;
}

.world-upper-text-ifb {
  margin-bottom: 18px;
}

@media screen and (min-width: 1440px) {
  .world-container-ifb {
    padding: 150px 80px;
    position: relative;
    height: 935px;
  }

  .world-img-ifb {
    width: 630px;
    height: 402px;
    margin-bottom: 0;
    position: absolute;
    bottom: 150px;
    left: 80px;
  }

  .world-hidden-img-ifb {
    display: block;
    width: 630px;
    height: 360px;
    position: absolute;
    top: 266px;
    right: 80px;
  }

  .world-text-ifb {
    line-height: 150%;
    padding: 0;
  }

  .world-upper-text-ifb {
    margin-bottom: 0;
    width: 630px;
    position: absolute;
    top: 266px;
    left: 80px;
  }

  .world-lower-text-ifb {
    width: 620px;
    position: absolute;
    bottom: 150px;
    right: 80px;
  }
}

/* gameplay */

.gameplay-glide-ifb {
  padding-left: 20px;
}

.gameplay-item-ifb {
  display: flex;
  flex-direction: column;
  align-items: center;
  padding: 14px;
  width: 305px;
  height: 372px;
  background: var(--card-color);

  img {
    width: 277px;
    height: 158px;
    margin-bottom: 15px;
  }

  h4 {
    font-family: var(--second-family);
    font-weight: 500;
    font-size: 20px;
    line-height: 120%;
    text-align: center;
    color: var(--accent-color-blue);
    margin-bottom: 6px;
  }

  p {
    line-height: 150%;
    text-align: center;
    padding-left: 7.5px;
    padding-right: 7.5px;
  }
}

.gameplay-controls-ifb {
  width: 100%;
  flex-direction: row;
  align-items: center;
  justify-content: center;
  gap: 20px;
  display: none;
}

.gameplay-btn-ifb {
  display: flex;
  justify-content: center;
  align-items: center;
  height: 44px;
  width: 22px;
  font-size: 28px;
}

@media screen and (min-width: 1440px) {
  .gameplay-container-ifb {
    padding-right: 0;
  }

  .gameplay-glide-ifb {
    padding-left: 0;
  }

  .gameplay-controls-ifb {
    display: flex;
  }
}

/* why */

#why {
  background-color: var(--card-color);
  position: relative;
}

.why-polygon-ifb {
  background-color: var(--background);
  width: 370px;
  height: 100px;
  position: absolute;
  top: 0;
  left: 50%;
  transform: translate(-50%);
}

.why-container-ifb {
  background-image: url(/images/why-bg-mob.png);
  background-position: center;
  background-size: cover;
  background-repeat: no-repeat;
  padding-bottom: 26px;
  position: relative;
  z-index: 2;
}

.why-img-ifb {
  width: 375px;
  height: 214px;
  margin-bottom: 18px;
}

.why-hidden-img-ifb {
  display: none;
}

.why-text-ifb {
  padding: 0 20px;
  line-height: 150%;
}

.why-upper-text-ifb {
  margin-bottom: 18px;
}

@media screen and (min-width: 1440px) {
  .why-polygon-ifb {
    width: 1440px;
    height: 200px;
  }

  .why-container-ifb {
    background-image: url(/images/why-bg-desk.png);
    padding-bottom: 61px;
  }

  .why-img-ifb {
    width: 305px;
    height: 174px;
    margin-bottom: 0;
    position: absolute;
    bottom: 28px;
    right: 188px;
  }

  .why-hidden-img-ifb {
    display: block;
    width: 305px;
    height: 174px;
    position: absolute;
    bottom: 97px;
    right: 405px;
  }

  .why-text-ifb {
    padding: 0;
    padding-right: 650px;
  }
}

/* features */

.features-container-ifb {
  padding-top: 54px;
}

.features-list-title-ifb {
  font-family: var(--second-family);
  font-weight: 500;
  font-size: 20px;
  line-height: 120%;
  text-align: center;
  color: #000;
  margin-bottom: 22px;
}

.features-pic-mob-ifb {
  width: 375px;
  height: 214px;
  margin-bottom: 22px;
}

.features-pic-desk-left-ifb {
  display: none;
}

.features-pic-desk-right-ifb {
  display: none;
}

.features-list-ifb {
  display: flex;
  flex-direction: column;
  gap: 6px;
  padding: 0 20px;
}

.features-item-ifb {
  display: flex;
  gap: 4px;

  svg {
    flex-shrink: 0;
    width: 26px;
    height: 26px;
  }

  p {
    line-height: 150%;
  }
}

@media screen and (min-width: 1440px) {
  .features-container-ifb {
    position: relative;
    padding-top: 150px;
  }

  .features-list-title-ifb {
    margin-bottom: 16px;
  }

  .features-pic-mob-ifb {
    display: none;
  }

  .features-pic-desk-left-ifb {
    display: block;
    width: 413px;
    height: 462px;
    position: absolute;
    bottom: 150px;
    left: 80px;
  }

  .features-pic-desk-right-ifb {
    display: block;
    width: 413px;
    height: 462px;
    position: absolute;
    bottom: 150px;
    right: 80px;
  }

  .features-list-ifb {
    gap: 12px;
    width: 414px;
    padding: 0;
  }
}

/* contact */

.contact-subtitle-ifb {
  margin-bottom: 18px;
}

.contact-text-ifb {
  font-family: var(--second-family);
  font-weight: 500;
  font-size: 20px;
  line-height: 120%;
  text-align: center;
  color: var(--accent-color-blue);
}

@media screen and (min-width: 1440px) {
  .contact-subtitle-ifb {
    width: 700px;
    margin-bottom: 22px;
  }
}

/* footer */

#footer {
  background: var(--accent-color-orange);
}

.footer-container-ifb {
  display: flex;
  flex-direction: column;
  gap: 34px;
  padding: 45px 20px;
}

.footer-links-list-ifb {
  display: flex;
  flex-direction: column;
  gap: 16px;
  width: 100%;
}

.footer-links-item-ifb {
  transition: all 0.3s ease;

  a {
    font-family: var(--second-family);
    font-weight: 500;
    font-size: 20px;
    line-height: 120%;
  }
}

.footer-links-item-ifb:hover {
  transform: scaleY(1.3);
}

.footer-text-ifb {
  font-size: 12px;
  line-height: 150%;
  width: 100%;
}

@media screen and (min-width: 1440px) {
  .footer-container-ifb {
    flex-direction: column;
    align-items: center;
    gap: 50px;
    padding: 46px 180px;
  }

  .footer-links-list-ifb {
    flex-direction: row;
    justify-content: space-between;
  }

  .footer-links-item-ifb {
    a {
      font-size: 22px;
      line-height: 150%;
    }
  }

  .footer-text-ifb {
    text-align: center;
    width: auto;
  }
}

/* ********************* */

.hidden-ifb {
  display: none;
}
